/* Declaracoes de teclado.cc */



// se teclado estah em uso
#define TECLADO



// Posicao a partir da qual se encontram as teclas especiais, usado para
// fazer referencia a teclas especiais. Ex: 72 + ESPECIAL -> seta para cima.
#define ESPECIAL 128

// Teclas, sem comentario - tecla convensional, detectar: codigo_da_tecla;
//         especial - tecla especial, detectar: codigo_da_tecla;
//         especial ou nao - codigo refere-se a 2 teclas, uma especial e
//         outra convensional, detectar: codigo_da_tecla + ESPECIAL
//         ou codigo_da_tecla (comum).
// comum
#define T_ESC		1
#define T_1			2
#define T_2			3
#define T_3			4
#define T_4			5
#define T_5			6
#define T_6			7
#define T_7			8
#define T_8			9
#define T_9		  10
#define T_0		  11
// especial ou nao
#define T_SOB		72
#define T_DIR		77
#define T_DES		80
#define T_ESQ     75
#define T_HOME    71
#define T_PG_UP   73
#define T_PG_DN   81
#define T_END     79
#define T_ENTER	28
#define T_TAB		15
#define T_ESPACO	57
#define T_A			30
#define T_B			48
#define T_C			46
#define T_E			18
#define T_H			35
#define T_I			23
#define T_R			19
#define T_Z       44
#define T_ALT_E   56
#define T_CTRL_E  29
#define T_SHIFT_E 42
#define T_F1      59
#define T_F2      60
#define T_F3      61
#define T_F4      62
#define T_F5      63
// especial
#define T_ALT_D   56 + ESPECIAL
#define T_CTRL_D  29 + ESPECIAL
#define T_SHIFT_D 42



class CTeclado {

public:

   CTeclado ( BOOL bInstalarHandler = FALSE );
   ~CTeclado ();

private:

   BOOL m_bInstalarHandler; // define se deve instalar e desintalar o
	                         // handler nos construtores e destrutores, deve
                            // ser TRUE se for a primeira instancia da classe
   void mHandlerNovo ();
   void mHandlerNovo___ ();     // DEVE VIR SEMPRE LOGO APOS mHandlerNovo

public:

	void mInstalaHandler ();
	void mDesinstalaHandler ();
	BOOL mRetPress ( BYTE yTecla );
	BYTE mRetPress ();
   BYTE mRetTeclas ( BOOL bTestaPress = TRUE);
   void mRetTecla ( BYTE yTecla, BOOL bTestaPress = TRUE );
	void mRetSoltas ();
};
